#!/bin/bash
splunkServer=XXXX:xxx
#Instala los paquetes genericos
aptitude -y install openssh-server snort dialog ntop #netsniff-ng

#Configura el pwd para grub
cp 01_users_logins 10_linux /etc/grub.d/
chmod +x /etc/grub.d/{01_users_logins,10_linux}
cp grub /etc/default
update-grub2

#Configura los parmetros de inicio del sistema
mkdir /opt/scripts
cp onBoot.sh /opt/scripts

#Instala las reglas emerging en el Snort
cp emerging.conf /etc/snort
echo "include emerging.conf" >> /etc/snort/snort.conf
tar xf emerging.rules.tar.gz
mv rules/*  /etc/snort/rules/
rmdir rules

#Configura las TTY 
mv /etc/init/{tty3.conf,tty4.conf,tty5.conf,tty6.conf} /root
cp tty1.conf tty2.conf /mnt/init

#Instala y configura splunkforwarder
dpkg -i splunkforwarder-5.0.1-143156-linux-2.6-intel.deb 

cat << EOF >> /opt/splunkforwarder/etc/system/local/outputs.conf
[tcpout]
defaultGroup = splunk

[tcpout:splunk]
disabled = false
server = $splunkServer
compressed = false

[tcpout-server://$splunkServer]
EOF

cat << EOF >> /opt/splunkforwarder/etc/system/local/inputs.conf
[default]
host = $(hostname)

[monitor:///var/log/snort/alert]
disabled = false
index = main
sourcetype = snort_alert_full
EOF

reboot
